ObjectFactory< AbstractClass > Class Template Referenceabstract

_ More...

`#include <factory.h>`

Inheritance diagram for ObjectFactory< AbstractClass >:

## Public Member Functions

virtual AbstractClass * | CreateObject () const =0

## Detailed Description

### template<class AbstractClass>
class ObjectFactory< AbstractClass >

_

Definition at line 12 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h